package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 score_room
 *
 * @author ruoyi
 * @date 2025-10-30
 */
public class ScoreRoom extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 房间id */
    private Long roomId;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createUser;

    /** 房间赔率 */
    @Excel(name = "房间赔率")
    private Long odds;

    /** 房间状态 0 房间创建游戏未开始 1 进行中 2 已结束 */
    @Excel(name = "房间状态 0 房间创建游戏未开始 1 进行中 2 已结束")
    private Long roomStatus;

    /** 房主id */
    @Excel(name = "房主id")
    private Long bossId;

    @Excel(name = "房间名称")
    private String roomName;

    public void setRoomId(Long roomId)
    {
        this.roomId = roomId;
    }

    public Long getRoomId()
    {
        return roomId;
    }

    public void setCreateUser(Long createUser)
    {
        this.createUser = createUser;
    }

    public Long getCreateUser()
    {
        return createUser;
    }

    public void setOdds(Long odds)
    {
        this.odds = odds;
    }

    public Long getOdds()
    {
        return odds;
    }

    public void setRoomStatus(Long roomStatus)
    {
        this.roomStatus = roomStatus;
    }

    public Long getRoomStatus()
    {
        return roomStatus;
    }

    public Long getBossId() {
        return bossId;
    }

    public void setBossId(Long bossId) {
        this.bossId = bossId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("roomId", getRoomId())
            .append("createUser", getCreateUser())
            .append("odds", getOdds())
            .append("roomStatus", getRoomStatus())
                .append("bossId", getBossId())

                .append("roomName", getRoomName())

            .toString();
    }
}
